slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPSetConvergenceTest

Specifies how to compute the error estimate used in the convergence test.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPSetConvergenceTest(NEP nep,NEPConv conv)

Logically Collective

### Input Parameters

| nep | - nonlinear eigensolver context obtained from NEPCreate()
| conv | - the type of convergence test

### Options Database Keys

| -nep_conv_abs | - Sets the absolute convergence test
| -nep_conv_rel | - Sets the convergence test relative to the eigenvalue
| -nep_conv_user | - Selects the user-defined convergence test

### Note

The parameter 'conv' can have one of these values

| NEP_CONV_ABS | - absolute error ||r||
| NEP_CONV_REL | - error relative to the eigenvalue l, ||r||/|l|
| NEP_CONV_NORM | - error relative matrix norms, ||r||/sum_i(|f_i(l)|*||A_i||)
| NEP_CONV_USER | - function set by NEPSetConvergenceTestFunction()

### See Also

NEPGetConvergenceTest(), NEPSetConvergenceTestFunction(), NEPSetStoppingTest(), NEPConv

### Level

intermediate

### Location

src/nep/interface/nepopts.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages